import { AppConfig } from '@dvn/core/models/app-config';
import { dvnSpaces } from './dvn-spaces';
import { dvnViewConfigs } from './dvn-view-configs';
import { uyeMembershipConfigs } from './uye-membership-configs';
export const dvnAppConfigs = (config) => ({
  // app for mentors
  dvnAppConfigs1: AppConfig.decode({
    _id: 'dvnAppConfigs1',
    _created: new Date(),
    _updated: new Date(),
    mainContent: {
      centered: true,
    },
    mainNavigation: {
      items: [
        {
          ui: {
            title: 'My Mentees'
          },
          viewId: 'dvnViewConfigs3', // simple pair list to view its mentees
        },
        {
          ui: {
            title: 'Mentees'
          },
          viewId: 'dvnViewConfigs1', // mentees card view list
        },
        {
          ui: {
            title: 'Mentors'
          },
          viewId: 'dvnViewConfigs2', // mentors card view list
        },
        {
          ui: {
            title: 'My Available Times'
          },
          viewId: 'dvnViewConfigs7',
        },
      ],
      centered: true
    },
    space: dvnSpaces(config).dvnSpaces1,
    membership: uyeMembershipConfigs(config).uyeMembershipConfigs2,
    views: [
      dvnViewConfigs(config).dvnViewConfigs1,
      dvnViewConfigs(config).dvnViewConfigs2,
      dvnViewConfigs(config).dvnViewConfigs3,
      dvnViewConfigs(config).dvnViewConfigs5,
      dvnViewConfigs(config).dvnViewConfigs7, // availability settings
    ],
  }),
  // app for mentees
  dvnAppConfigs2: AppConfig.decode({
    _id: 'dvnAppConfigs2',
    _created: new Date(),
    _updated: new Date(),
    mainContent: {
      centered: true,
    },
    mainNavigation: {
      items: [
        {
          ui: {
            title: 'My Mentors'
          },
          viewId: 'dvnViewConfigs4', // simple pair list to view its mentors
        },
        {
          ui: {
            title: 'All Mentees'
          },
          viewId: 'dvnViewConfigs1', // mentees card view list
        },
        {
          ui: {
            title: 'My Info'
          },
          viewId: 'dvnViewConfigs8',
        },
      ],
      centered: true
    },
    space: dvnSpaces(config).dvnSpaces1,
    membership: uyeMembershipConfigs(config).uyeMembershipConfigs1,
    views: [
      dvnViewConfigs(config).dvnViewConfigs1,
      dvnViewConfigs(config).dvnViewConfigs4,
      dvnViewConfigs(config).dvnViewConfigs6,
      dvnViewConfigs(config).dvnViewConfigs8,
      dvnViewConfigs(config).dvnViewConfigs9, // mentor detail page
    ],
  }),
});
